Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Apache CXF API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cxf.configuration.security
Class ObjectFactory

    java.lang.Object
      org.apache.cxf.configuration.security.ObjectFactory

    public class ObjectFactory

extends Object

This object contains factory methods for each Java content interface and Java element interface generated in the org.apache.cxf.configuration.security package.

An ObjectFactory allows you to programatically construct new instances of the Java representation for XML content. The Java representation of XML content can consist of schema derived interfaces and classes representing the binding of schema type definitions, element declarations and model groups. Factory methods for each of these are provided in this class.

Constructor Summary
`ObjectFactory()` Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: org.apache.cxf.configuration.security

Method Summary
`javax.xml.bind.JAXBElement<AuthorizationPolicy>` | `createAuthorization(AuthorizationPolicy value)` Create an instance of `JAXBElement``<``AuthorizationPolicy``>`}
`AuthorizationPolicy` | `createAuthorizationPolicy()` Create an instance of `AuthorizationPolicy`
`CertificateConstraintsType` | `createCertificateConstraintsType()` Create an instance of `CertificateConstraintsType`
`CertStoreType` | `createCertStoreType()` Create an instance of `CertStoreType`
`CipherSuites` | `createCipherSuites()` Create an instance of `CipherSuites`
`ClientAuthentication` | `createClientAuthentication()` Create an instance of `ClientAuthentication`
`DNConstraintsType` | `createDNConstraintsType()` Create an instance of `DNConstraintsType`
`FiltersType` | `createFiltersType()` Create an instance of `FiltersType`
`KeyManagersType` | `createKeyManagersType()` Create an instance of `KeyManagersType`
`KeyStoreType` | `createKeyStoreType()` Create an instance of `KeyStoreType`
`ProxyAuthorizationPolicy` | `createProxyAuthorizationPolicy()` Create an instance of `ProxyAuthorizationPolicy`
`SecureRandomParameters` | `createSecureRandomParameters()` Create an instance of `SecureRandomParameters`
`TLSClientParametersType` | `createTLSClientParametersType()` Create an instance of `TLSClientParametersType`
`TLSServerParametersType` | `createTLSServerParametersType()` Create an instance of `TLSServerParametersType`
`TrustManagersType` | `createTrustManagersType()` Create an instance of `TrustManagersType`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ObjectFactory

    public ObjectFactory()

  Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: org.apache.cxf.configuration.security

Method Detail

### createCertificateConstraintsType

    public CertificateConstraintsType createCertificateConstraintsType()

  Create an instance of `CertificateConstraintsType`

### createCipherSuites

    public CipherSuites createCipherSuites()

  Create an instance of `CipherSuites`

### createTLSServerParametersType

    public TLSServerParametersType createTLSServerParametersType()

  Create an instance of `TLSServerParametersType`

### createKeyStoreType

    public KeyStoreType createKeyStoreType()

  Create an instance of `KeyStoreType`

### createAuthorizationPolicy

    public AuthorizationPolicy createAuthorizationPolicy()

  Create an instance of `AuthorizationPolicy`

### createKeyManagersType

    public KeyManagersType createKeyManagersType()

  Create an instance of `KeyManagersType`

### createTrustManagersType

    public TrustManagersType createTrustManagersType()

  Create an instance of `TrustManagersType`

### createCertStoreType

    public CertStoreType createCertStoreType()

  Create an instance of `CertStoreType`

### createClientAuthentication

    public ClientAuthentication createClientAuthentication()

  Create an instance of `ClientAuthentication`

### createDNConstraintsType

    public DNConstraintsType createDNConstraintsType()

  Create an instance of `DNConstraintsType`

### createProxyAuthorizationPolicy

    public ProxyAuthorizationPolicy createProxyAuthorizationPolicy()

  Create an instance of `ProxyAuthorizationPolicy`

### createSecureRandomParameters

    public SecureRandomParameters createSecureRandomParameters()

  Create an instance of `SecureRandomParameters`

### createTLSClientParametersType

    public TLSClientParametersType createTLSClientParametersType()

  Create an instance of `TLSClientParametersType`

### createFiltersType

    public FiltersType createFiltersType()

  Create an instance of `FiltersType`

### createAuthorization

    public javax.xml.bind.JAXBElement<AuthorizationPolicy> createAuthorization(AuthorizationPolicy value)

  Create an instance of `JAXBElement``<``AuthorizationPolicy``>`}

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Apache CXF API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Apache CXF